field_seq_visu_vtk_paraview.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T)

## Functions

template<class T >
odiststream & | field_put_vtk (odiststream &ods, const field_basic< T, sequential > &uh)
template<class T >
odiststream & | visu_vtk_paraview (odiststream &, const field_basic< T, sequential > &)
template<class T >
idiststream & | geo_get_vtk (idiststream &ips, geo_basic< T, sequential > &omega)
template<class T >
field_basic< T, sequential > | paraview_plane_cut (const field_basic< T, sequential > &uh, const point_basic< T > &origin, const point_basic< T > &normal)
template<class T >
geo_basic< T, sequential > | paraview_extract_isosurface (const field_basic< T, sequential > &uh)

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template odiststream& \
visu_vtk_paraview<Float> ( \
odiststream&, \
const field_basic<Float,sequential>&); \
template field_basic<Float,sequential> \
paraview_plane_cut ( \
const field_basic<Float,sequential>&, \
const point_basic<Float>&, \
const point_basic<Float>&); \
template geo_basic<Float,sequential> \
paraview_extract_isosurface ( \
const field_basic<Float,sequential>&);

Definition at line 413 of file field_seq_visu_vtk_paraview.cc.

rheolef::paraview_plane_cut
field_basic< T, sequential > paraview_plane_cut(const field_basic< T, sequential > &uh, const point_basic< T > &origin, const point_basic< T > &normal)
Definition: field_seq_visu_vtk_paraview.cc:180
rheolef::paraview_extract_isosurface
geo_basic< T, sequential > paraview_extract_isosurface(const field_basic< T, sequential > &uh)
Definition: field_seq_visu_vtk_paraview.cc:329